export declare class MessageQueue {
    buffer: Float64Array | Float32Array;
    constructor(messageQueue?: Partial<MessageQueue>);
    toJSON(): {
        buffer: Float64Array | Float32Array;
    };
    get readPtr(): number;
    set readPtr(index: number);
    get writePtr(): number;
    set writePtr(index: number);
    clear(): this;
    push(...values: number[]): void;
    shift(): number | undefined;
    slice(length: number): Float64Array | Float32Array | undefined;
}
