/// <reference types="webmidi" />
import { Agent } from 'alice-bob';
import { SchedulerTarget } from './scheduler-event';
import type { SchedulerTargetProcessor } from './scheduler-target-processor';
export declare class SchedulerTargetNode extends AudioWorkletNode {
    id: string;
    schedulerTarget: SchedulerTarget;
    worklet: Agent<SchedulerTargetProcessor, SchedulerTargetNode>;
    constructor(context: BaseAudioContext, name: string, options?: AudioWorkletNodeOptions);
    init(): Promise<void>;
    processMidiEvent(midiEvent: WebMidi.MIDIMessageEvent): void;
}
